package org.diagbot.nlp.similar;

import org.diagbot.pub.jdbc.MysqlJdbc;
import org.diagbot.pub.utils.PropertiesUtil;
import org.diagbot.pub.utils.security.EncrypDES;

import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.sql.Connection;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

/**
 * @Description:
 * @Author: HUJING
 * @Date: 2019/10/16 13:46
 */
public class SimilarCacheFileManager {
    private String user = "root";
    private String password = "diagbot@20180822";
    private String url = "jdbc:mysql://192.168.2.235:3306/med-s?useUnicode=true&characterEncoding=UTF-8";

    private String path = "";

    public static void main(String[] args) {
        SimilarCacheFileManager similarCacheFileManager = new SimilarCacheFileManager();
        String resourcePath = similarCacheFileManager.getResourcePath();
//        PropertiesUtil propertiesUtil = new PropertiesUtil("nlp.properties");
//        String p = propertiesUtil.getProperty("cache.file.dir");
        File file = new File(resourcePath);
        if (!file.exists()) {
            file.mkdirs();
        }
        //相似度知识库
        similarCacheFileManager.createSimilarCacheFile(resourcePath);
    }

    public String getResourcePath(){
        return this.getClass().getResource("/").getPath();
    }

    public SimilarCacheFileManager() {
//        PropertiesUtil propertiesUtil = new PropertiesUtil("nlp.properties");
//        String p = propertiesUtil.getProperty("cache.file.dir");

        String resourcePath = getResourcePath();
        File file = new File(resourcePath);
        if (!file.exists()) {
            file.mkdirs();
        }
        path = resourcePath;
    }

    public void createCacheFile() {
        createSimilarCacheFile(path);
    }

    public void createSimilarCacheFile(String path) {
        MysqlJdbc nlpJdbc = new MysqlJdbc(user, password, url);
        Connection conn = nlpJdbc.connect();
        Statement st = null;
        ResultSet rs = null;
        try {
            EncrypDES encrypDES = new EncrypDES();
            //疾病科室
            String sql = "SELECT similar_1,similar_2 FROM doc_similar";
            st = conn.createStatement();
            rs = st.executeQuery(sql);
            FileWriter fw = new FileWriter(path + "bigdata_similar.dict");

            String r1, r2;
            while (rs.next()) {
                r1 = rs.getString(1).trim();
                r2 = rs.getString(2).trim();

                fw.write(encrypDES.encrytor(r1 + "|" + r2));
                fw.write("\n");
            }
            fw.close();
        } catch (IOException ioe) {
            ioe.printStackTrace();
        } catch (SQLException sqle) {
            sqle.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        } finally {
            nlpJdbc.close(rs, st, conn);
        }
    }
}
